Bug 1119950 - squidGuard not available in EPEL7
Summary: squidGuard not available in EPEL7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: squidGuard
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 01:00 UTC by Joel Michael
Modified: 2014-07-21 15:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-21 15:09:12 UTC
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Joel Michael 2014-07-16 01:00:02 UTC
Description of problem: squidGuard is available in EPEL6, but not available in EPEL7


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. yum install squidGuard

Actual results:
No package squidGuard available.
Error: Nothing to do


Expected results:
...
---> Package squidGuard.xxx will be installed


Additional info:
rpmbuild of EPEL6 SRPM fails on EL7 with following error - 

+ ./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --program-prefix= --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64 --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-sg-config=/etc/squid/squidGuard.conf --with-sg-logdir=/var/log/squidGuard --with-sg-dbhome=/var/squidGuard/blacklists --with-ldap=yes
checking for x86_64-redhat-linux-gnu-gcc... no
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking whether make sets $(MAKE)... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking for bison... bison -y
checking for flex... flex
checking lex output file root... lex.yy
checking lex library... none needed
checking whether yytext is a pointer... no
checking for lynx... false
checking for perl... /usr/bin/perl
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking db.h usability... no
checking db.h presence... no
checking for db.h... no
checking regex.h usability... yes
checking regex.h presence... yes
checking for regex.h... yes
checking for unistd.h... (cached) yes
checking for db.h... (cached) no

** No db.h found
   The Berkley DB library is required for squidGuard
   to compile. Get it from http://www.oracle.com
   use --with-db=DIR or --with-db-inc=DIR to specify
   its location. (default is /usr/local/BerkeleyDB)

error: Bad exit status from /var/tmp/rpm-tmp.prisMX (%build)


This can be fixed by adding the following to the configure command in the spec:

# diff -u squidGuard.spec-orig squidGuard.spec
--- squidGuard.spec-orig        2012-06-28 03:47:49.000000000 +1000
+++ squidGuard.spec     2014-07-16 10:35:46.357717470 +1000
@@ -92,6 +92,7 @@
        --with-sg-config=%{_sysconfdir}/squid/squidGuard.conf \
        --with-sg-logdir=%{_var}/log/squidGuard \
        --with-sg-dbhome=%{_dbhomedir} \
+       --with-db-inc=%{_includedir}/libdb4 --with-db-lib=%{_libdir}/libdb4 \
        --with-ldap=yes

 #%{__make} %{?_smp_mflags}

Comment 1 Gwyn Ciesla 2014-07-21 14:59:14 UTC
Thanks for the patch!

Package Change Request
======================
Package Name: squidGuard
New Branches: epel7
Owners: limb

Comment 2 Gwyn Ciesla 2014-07-21 15:02:04 UTC
Git done (by process-git-requests).

Comment 3 Gwyn Ciesla 2014-07-21 15:09:12 UTC
Branched and built.


Note You need to log in before you can comment on or make changes to this bug.